Bug 238510 - deskutils/sysctlview: Update to 1.3
Summary: deskutils/sysctlview: Update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 22:52 UTC by Alfonso S. Siciliano
Modified: 2019-06-20 02:52 UTC (History)
0 users

See Also:


Attachments
svn .diff (1.12 KB, patch)
2019-06-11 22:52 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff
new svn .diff (1.12 KB, patch)
2019-06-12 00:17 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano 2019-06-11 22:52:12 UTC
Created attachment 204998 [details]
svn .diff

WWW: https://gitlab.com/alfix/sysctlview

Version Update 1.2 -> 1.3, upstream CHANGELOG:

 * fix memory leak OIDWindow
 * fix columns size after "Rebuild all"
 * change OIDWindow layout
 * add ProgressBar (progressbar.h/cc)
 * add 'ID' column
 * add menu item "View -> Search Name"
 * add menu item "View -> Wrap Rows"

Testing:

 * portlint -C
 * poudriere testport -j 130Camd64 -o deskutils/sysctlview


Please commit it,

Thanks,
Alfonso
Comment 1 Alfonso S. Siciliano 2019-06-12 00:17:54 UTC
Created attachment 205000 [details]
new svn .diff

New .diff (last upstream fix)

Thanks
Comment 2 commit-hook freebsd_committer 2019-06-20 02:52:01 UTC
A commit references this bug:

Author: swills
Date: Thu Jun 20 02:51:18 UTC 2019
New revision: 504609
URL: https://svnweb.freebsd.org/changeset/ports/504609

Log:
  deskutils/sysctlview: Update to 1.3

  PR:		238510
  Submitted by:	Alfonso S. Siciliano <alfix86@gmail.com> (maintainer)

Changes:
  head/deskutils/sysctlview/Makefile
  head/deskutils/sysctlview/distinfo
Comment 3 Steve Wills freebsd_committer 2019-06-20 02:52:30 UTC
Committed, thanks!